
<div ui-view>       
<header-component></header-component>
<div class="f-box">

       

        <!------------------------- Start of Main------------------------------- -->

        <header class="row p">
            <h1 class="p-tb-md m-n pull-left p">Travel Portal</h1>
            <button class="btn btn-primary pull-right m" ng-click="newrequest()">New Request</button>            
            <button class="btn btn-primary pull-right m" ng-click="myRequestList();checkList()">Request list</button>
            <button class="btn btn-primary pull-right m" ng-click="requestList()" ng-if="user.grade == 'M5' || user.grade == 'M6' && user.isApprover">Manager Request list</button>
            <button class="btn btn-primary pull-right m" ng-click="requestList()" data-dismiss="modal" ng-if="user.grade != 'M5' && user.grade != 'M6' && user.isApprover">Manager Request list</button>
                
        </header>


        <!-- Status And Calender Block Start -->
        <div class="row center-block">
  
            <!-- Status Block Start -->
            <div class="col-sm-6">

                <!--Status Block Row 1 Start-->
                <div class="row">
                
                    <!--Status Block Row 1 Block 1 Start-->
                    <div class="col-md-6 col-sm-6 col-xs-12" title="Flight Requests">
                        
                        <div class="tp-status-block curPointer" ng-click="requestDetailsByType('Flight')" >
                            <div class="row">
                                <div class="text-center tp-status-icon tp-status-col1">
                                    <div class="col-sm-12">
                                        <i class="fa fa-plane fa-3x " aria-hidden="true"></i>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="tp-request-status-block">
                                    <div class="col-xs-6 tp-request-status-block1 ">
                                        <div class="text-center">
                                            <h4>{{count.flightPending}}</h4>
                                            <label>Pending</label>
                                        </div>
                                    </div>

                                    <div class="col-xs-6 tp-request-status-block2">
                                        <div class="text-center">
                                            <h4>{{count.flightApproved}}</h4>
                                            <label>Approved</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!--Status Block Row 1 Block 1 End-->

                <!--Status Block Row 1 Block 2 Start-->
                    
                    <div class="col-md-6 col-sm-6 col-xs-12" title="Forex Requests">
                        <div class="tp-status-block curPointer" ng-click="requestDetailsByType('Forex')" >
                            <div class="row">
                                <div class="text-center tp-status-icon tp-status-col2">
                                    <div class="col-sm-12">
                                        <i class="fa fa-money fa-3x " aria-hidden="true"></i>
                                    </div>
                                </div>
                            </div>


                            <div class="row">
                                <div class="tp-request-status-block">
                                    <div class="col-xs-6 tp-request-status-block1 ">
                                        <div class="text-center">

                                                <h4>{{count.forexPending}}</h4>
                                                <label>Pending</label>
                                        </div>
                                    </div>

                                    <div class="col-xs-6 tp-request-status-block2">
                                        <div class="text-center">
                                            <h4>{{count.forexApproved}}</h4>
                                            <label>Approved</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                    <!--Status Block Row 1 Block 2 End-->

                </div>
                <!--Status Block Row 1 End-->
                
                <!--Status Block Row 2 Start-->
                <div class="row">

                <!--Status Block Row 2 Block 1 Start-->
                    <div class="col-md-6 col-sm-6 col-xs-12" title="Hotel/Accomodation Requests">

                        <div class="tp-status-block curPointer" ng-click="requestDetailsByType('Accomodation')" >
                            <div class="row">
                                <div class="text-center tp-status-icon tp-status-col1">
                                    <div class="col-sm-12">
                                        <i class="fa fa-home fa-3x " aria-hidden="true"></i>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="tp-request-status-block">
                                    <div class="col-xs-6 tp-request-status-block1 ">
                                        <div class="text-center">

                                            <h4>{{count.accomodationPending}}</h4>
                                            <label>Pending</label>

                                        </div>
                                    </div>

                                    <div class="col-xs-6 tp-request-status-block2">
                                        <div class="text-center">
                                            <h4>{{count.accomodationApproved}}</h4>
                                            <label>Approved</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    <!--Status Block Row 2 Block 1 End-->

                    <!--Status Block Row 2 Block 2 Start-->
                    <div class="col-md-6 col-sm-6 col-xs-12" title="Cab Requests">
                        <div class="tp-status-block curPointer" ng-click="requestDetailsByType('Cab')" >
                            <div class="row">
                                <div class="text-center tp-status-icon tp-status-col2">
                                    <div class="col-sm-12">
                                        <i class="fa fa-taxi fa-3x " aria-hidden="true"></i>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="tp-request-status-block">
                                    <div class="col-xs-6 tp-request-status-block1 ">
                                        <div class="text-center">
                                            <h4>{{count.cabPending}}</h4>
                                            <label>Pending</label>
                                        </div>
                                    </div>

                                    <div class="col-xs-6 tp-request-status-block2">
                                        <div class="text-center">
                                            <h4>{{count.cabApproved}}</h4>
                                            <label>Approved</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    <!--Status Block Row 2 Block 2 End-->
<div class="col-md-6 col-sm-6 col-xs-12" title="Visa Requests">
                        <div class="tp-status-block curPointer" ng-click="requestDetailsByType('Visa')" >
                            <div class="row">
                                <div class="text-center tp-status-icon tp-status-col2">
                                    <div class="col-sm-12">
                                        <i class="fa fa-cc-visa fa-3x " aria-hidden="true"></i>
                                    </div>
                                </div>
                            </div>


                            <div class="row">
                                <div class="tp-request-status-block">
                                    <div class="col-xs-6 tp-request-status-block1 ">
                                        <div class="text-center">

                                                <h4>{{count.visaPending}}</h4>
                                                <label>Pending</label>
                                        </div>
                                    </div>

                                    <div class="col-xs-6 tp-request-status-block2">
                                        <div class="text-center">
                                            <h4>{{count.visaApproved}}</h4>
                                            <label>Approved</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                    <!--Visa block  -->
                </div>
                <!--Status Block Row 2 End-->

            </div>
            <!-- Status Block End -->

            <!-- Calender Block Start -->
            <div class="col-sm-6 p">
                   <section class="panel b-light">
                            <header class="panel-heading p text-cen">
                            <strong>Upcoming Approved Request</strong>
                        </header>
                        <div class="table-responsive text-center">
                           <table class="table table-hover">
                            	<thead>
                            		<th class="text-cen">Request Id</th>
                            		<th class="text-cen">Project Name</th>
                            	</thead>
                            <tbody ng-repeat="name in tripsObj"> 
	<tr  ng-click="getRequestDetails(name.requestId)" data-toggle="modal" title="View" data-target="#rejectRequestModal" class="curPointer">
                            		<td>{{name.requestId}}</td>
                            		<!-- <td><span  ng-class="accomodationIconClass" class="fa fa-home " aria-hidden="true"></span>
                            		<span  ng-class="flightIconClass" class="fa fa-plane " aria-hidden="true"></span>
                            		<span  ng-class="cabIconClass" class="fa fa-taxi " aria-hidden="true"></span></td>
                            		 --><!-- <td><i ng-if="x.category" class="fa fa-home " aria-hidden="true"></i></td> -->
                            		
                            		<td><span>{{name.projectName}}</span></td>
                            		<!-- <td><button class="btn btn-primary"  ng-click="getRequestDetails(x.requestId)" ><i class="fa fa-eye"></i></button></td> -->
                            	</tr>
                           </tbody>
                            	</table> 
 
                        </div> 
                       
                        
                       
                        
                    </section>
            </div>
            <!-- Calender Block End -->
            
        </div>
         <!-- Status And Calender Block End-->
</div>
        <!-- main section i.e tab-content class ends-->

        <!-------------------------End of main--------------------------------->

<!--  -->
   <div class="modal fade" id="rejectRequestModal" role="dialog">
                        <div class="modal-dialog max-width">
                        
                          <!-- Modal content-->
                          <div class="modal-content">
                            <div class="modal-header">
                              <button type="button" class="close" data-dismiss="modal">&times;</button>
                              
                            </div>
                            <div class="modal-body">
                                    <div>
                                            <!-- ================================================
                                            |             Confirmation Section                  |
                                            ===================================================== -->
                                           <div id="confirm" class="tab-pane">
                                        <!-- ================================================
                                                        |             Confirmation Section                  |
                                                        ===================================================== -->
                                        <section class="f-box">
                                            <header class="row">
                                                <!-- <h1 class="p-tb-md m-n p">Approve Request</h1> -->

                                            </header>
                                            <div class="main-bg p">
                                                <header>
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <h3>Personal Details</h3>
                                                        </div>
                                                        <div class="col-md-6">
                                                        <h3 class="req pull-right">Request ID: #{{requestDetails.travelRequest.requestId}}</h3>
                                                        </div>
                                                        </div>
                                                        
                                                        
                                                </header>
                                                <hr>
                                               

                                               
                                                <!-- ===============article====================== -->
                                                <!-- Confirmation screen goes here -->
                                                
                         <div class="article">
                                                    <!-- ========row 1========== -->
                                                    <div class="row">
                                                        <div class="col-md-4">
                                                            <b>Employee name:</b>
                                                            <span>{{requestDetails.travelRequest.requestedFor}}</span>
                                                        </div>
                                                        <div class="col-md-4">
                                                            <b>Location:</b>
                                                            <span>{{user.employeeLocation}}</span>
                                                        </div>

                                                        <div class="col-md-4">
                                                            <b>Contact Number:</b>
                                                            <span>{{user.employeeMobileNumber}}</span>
                                                        </div>
                                                    </div>
                                                    <!-- ========end of row 1==========-->

                                                    <!--=========row 2 =========== -->
                                                    <div class="row">
                                                        <div class="col-md-4">
                                                            <b>Project Code:</b>
                                                            <span>{{requestDetails.travelRequest.projectCode}}</span>
                                                        </div>
                                                        <div class="col-md-4">
                                                            <b>Project Name:</b>
                                                            <span>{{requestDetails.travelRequest.projectName}}</span>
                                                        </div>

                                                        <div class="col-md-4">
                                                            <b>Approvers Name:</b>
                                                            <span>{{requestDetails.travelRequest.empData[1].employeeName}}</span>
                                                            
                                                        </div>
                                                    </div>
                                                    <!-- ========end of row 2 ========= -->

                                                </div>
                                                <!-- ==================end of article =================- -->
												<hr> 

                                                <header>
                                                    <h3>Request Details</h3>
                                                </header>
                                                <hr>
                                                
                                                <!-- ==================== confirmation section for hotel/accomodation =========================-->
                                                <article ng-if="accomodationObj!=null">
                                                    <h4><b>Hotel/Accommodation Booking</b></h4>

                                                    <table class="table table-bordered">
                                                        <tr>
                                                            <td><b>Country:</b></td>
                                                            <td colspan="2">{{accomodationObj.country}}</td>
                                                            <td><b>City:</b></td>
                                                            <td colspan="2">{{accomodationObj.city}}</td>
                                                        </tr>

                                                        <tr>
                                                            <td><b>Check-in Date & Time:</b></td>
                                                            <td colspan="2">{{accomodationObj.checkIn}}</td>
                                                            <td><b>Check-out Date & Time:</b></td>
                                                            <td colspan="2">{{accomodationObj.checkOut}}</td>
                                                        </tr>

                                                        <tr>
                                                            <td><b>Budget Per Day:</b></td>
                                                            <td colspan="2">{{accomodationObj.budget}}</td>
                                                            <td><b>Type of Room:</b></td>
                                                            <td colspan="2">{{accomodationObj.category}}</td>
                                                        </tr>
                                                        
                                                        <tr>
                                                        <td><b>Remark:</b></td>
                                                        <td colspan="4">{{accomodationObj.remarks}}</td>>
                                                        </tr>	

                                                    </table>
														<hr> 
                                                </article>
                                                <!-- ==================== end of hotel/accomodation section ==================== -->
                                                
                                                <!-- ==================== confirmation section for taxi/cab ====================-->
                                                <article ng-if="cabObj!=null">

                                                    <h4><b>Taxi Booking</b></h4>
                                                    <table class="table table-bordered">
                                                    	<tr>
                                                            <td><b>Car request type:</b></td>
                                                            <td>{{cabObj.taxiTravelType}}</td>
                                                            <td><b>Type of car:</b></td>
                                                            <td>{{cabObj.carType}}</td>
                                                        </tr>
                                                        <tr>
                                                            <td><b>From:</b></td>
                                                            <td>{{cabObj.pickUpLocation}} {{cabObj.city}}</td>
                                                            <td><b>To:</b></td>
                                                            <td>{{cabObj.dropLocation}}</td>
                                                        </tr>



                                                        <tr>
                                                            <td><b>Departure Date and time:</b></td>
                                                            <td colspan="3">{{cabObj.fromDateAndTime}}</td>
                                                            

                                                        </tr>
                                                        <tr>
                                                        	
                                                            <td><b>Remark</b></td>
                                                            <td>{{cabObj.remarks}}</td>
                                                        </tr>
                                                    </table>


														<hr> 
                                                </article>
                                                <!-- ====================end of section for taxi/cab==================== -->
                                                
                                                
                                                
                                                <!-- ===============confirmation section for flight====================== -->
                                                <article ng-if="flightObj!=null">

                                                    <h4><b>Flight Booking</b></h4>
                                                    <table class="table table-bordered">
                                                        <tr>
                                                            <td><b>Tour Type:</b></td>
                                                            <td colspan="2">{{flightObj.tourType}}</td>
                                                            <td><b>Travel Type:</b></td>
                                                            <td colspan="2">{{flightObj.travelType}}</td>
                                                        </tr>

                                                        <tr ng-if="flightObj.tourType=='international'">
                                                                <td><b>Origin Country:</b></td>
                                                                <td>{{flightObj.originCountry}}</td>
                                                                <td><b>Destination Country:</b></td>
                                                                <td>{{flightObj.destinationCountry}}</td>
                                                                <td><b>Preferred Class:</b></td>
                                                                <td>{{flightObj.prefClass}}</td>
                                                            </tr>
                                                        

                                                        <tr>
                                                            <td><b>Business Purpose:</b></td>
                                                            <td>{{flightObj.businessPurpose}}</td>
                                                            <td><b>From:</b></td>
                                                            <td>{{flightObj.departureLocation}}</td>
                                                            <td><b>To:</b></td>
                                                            <td>{{flightObj.destinationLocation}}</td>
                                                        </tr>

                                                        <tr>
                                                            <td><b>Departure Date:</b></td>
                                                            <td colspan="2">{{flightObj.departureDate}}</td>
                                                            <td><b>Departure Time:</b></td>
                                                            <td colspan="2">{{flightObj.departureTime}}</td>
                                                        </tr>

                                                        <tr ng-if="flightObj.travelType=='round way'">
                                                                <td><b>Return Date:</b></td>
                                                                <td colspan="2">{{flightObj.returnDate}}</td>
                                                                <td><b>Return Time:</b></td>
                                                                <td colspan="2">{{flightObj.returnTime}}</td>
                                                            </tr>

                                                            <tr ng-if="flightObj.tourType=='international'">
                                                                    <td><b>Surname:</b></td>
                                                                    <td>{{flightObj.surname}}</td>
                                                                    <td><b>Given Name:</b></td>
                                                                    <td>{{flightObj.givenName}}</td>
                                                                    <td><b>Date of Birth:</b></td>
                                                                    <td>{{flightObj.dateOfBirth}}</td>
                                                                </tr>

                                                                <tr ng-if="flightObj.tourType=='international'">
                                                                        <td><b>Passport Number:</b></td>
                                                                        <td>{{flightObj.passportNumber}}</td>
                                                                        <td><b>Passport Issue date:</b></td>
                                                                        <td>{{flightObj.passportIssueDate}}</td>
                                                                        <td><b>Meal Preference</b></td>
                                                            			<td>{{flightObj.mealPref}}</td>
                                                                    </tr>

														

                                                        <tr>
                                                            
                                                            <td><b>Remark</b></td>
                                                            <td colspan="5">{{flightObj.remark}}</td>
                                                        </tr>

                                                        

                                                    </table>

													<hr> 

                                                </article>
                                                
                                                 
                                                <!-- ===================end of section for flight======================-->

                                               

                                                <!-- ===================confirmation section for forex======================-->
                                                
                                                <article ng-if="forexObj!=null">
                                                        <h4><b>Forex</b></h4>
    
                                                        <table class="table table-bordered">
                                                                <tr>
                                                                        <td><b>Country:</b></td>
                                                                        <td>{{forexObj.forexCountry}}</td>
                                                                        <td><b>Currency:</b></td>
                                                                        <td>{{forexObj.forexCurrency}}</td>
                                                                        <td><b>Bankdesk:</b></td>
                                                                        <td>{{forexObj.forexBankDesk}}</td>
                                                                    </tr>


                                                                    <tr>
                                                                            <td><b>From:</b></td>
                                                                            <td>{{forexObj.forexFromDate}}</td>
                                                                            <td><b>To:</b></td>
                                                                            <td>{{forexObj.forexToDate}}</td>
                                                                            <td><b>Amount:</b></td>
                                                                            <td>{{forexObj.forexAmount}}</td>
                                                                        </tr>

                                                                        <tr>
                                                                            <td><b>Collection Center:</b></td>
                                                                            <td>{{forexObj.forexCollectionCenter}}</td>
                                                                            <td><b>Remark:</b></td>
                                                                            <td colspan="3">{{forexObj.forexRemarks}}</td>    
                                                                        </tr>

    
                                                        </table>
    													<hr> 
                                                    </article>
                                                    
                                                    
                                                     <!-- ===================confirmation section for visa======================-->
                                                
                                                <article ng-if="visaObj!=null">
                                                        <h4><b>Visa</b></h4>
    
                                                        <table class="table table-bordered">
                                                                <tr>
                                                                		<td><b>Business Purpose:</b></td>
                                                                        <td>{{visaObj.businessPurpose}}</td>
                                                                        <td><b>Travel Destination:</b></td>
                                                                        <td>{{visaObj.travelDestination}}</td>
                                                                        <td><b>Visa Type:</b></td>
                                                                        <td>{{visaObj.visaType}}</td>
                                                                        
                                                                    </tr>


                                                                   

                                                                        <tr>
                                                                        	<td><b>Type of Visit:</b></td>
                                                                        <td>{{visaObj.typeOfVisit}}</td>
                                                                            
                                                                            <td><b>Remark:</b></td>
                                                                            <td colspan="3">{{visaObj.visaRemarks}}</td>    
                                                                        </tr>

    
                                                        </table>
    
                                                    </article>
                                                <!-- ================end of section for Visa====================== -->
                                                
                                               
                                                <article ng-if="accomodationObj!=null || cabObj!=null || flightObj!=null || forexObj!=null || visaObj!=null">
                                                    <h4><b>Remarks History</b></h4>  
												<table class="table table-stripped">   
                                                <tr>
                                                <th>Status</th>
                                                <th>Updated By</th>
                                                <th>Updated On</th>
                                                <th>Remarks</th>
                                                </tr>                                           
                                                <tr ng-repeat="com in requestDetails.travelRequest.commentList">
                                                	<td>{{com.status}}</td>
                                                	<td>{{com.updaterName}}</td>
                                                	<td>{{com.createdOn}}</td>
                                                	<td>{{com.remarks}}</td>
                                                </tr>
                                                </table>
                                                </article>
                                                </div>
                                                <!-- ====================article====================-->
                                                

                                                
                                                
                                                </div>

                                        </section>
                                        <!--
                                                             ===========================================================
                                                            |                  end of section                         |
                                                            ===========================================================-->

                                        </div>

                                            <!--
                                                 ===========================================================
                                                |                  end of section                         |
                                                ===========================================================-->
                                            
                                            
                                            </div>
                                            
                            </div>
                            <div class="modal-footer p">
                                    <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
                             <!--  <button type="button" class="btn btn-success" >Submit</button> -->
                            </div>
                          </div>
                          
                        </div>
                          
                        </div>
                      </div>

</div>
